Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy Arkance Systems [www.cadforum.cz]
CZ | SK | EN | DE
Přihlášení
či registrace
   právě nás čte: 4641 
RSS kanál - CAD tipy RSS tipy
RSS diskuze

Diskuze Diskuzní fórum, poradna

 

NápovědaCAD diskuze, rady, výměna zkušeností

 
CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy Arkance Systems (CAD Studio) - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Téma uzavřenoDĺžka, resp obvod všetkých objektov vo výkrese

 Odpovědět Odpovědět archiv
Autor
FilipTo Zobrazit panel
Nováček
Nováček

Přihlášen: 02.zář.2013
Lokalita: Slovensko
Používám:
AutoCad2007
Stav: Offline
Bodů: 4
Přímý odkaz na tuto zprávu Téma: Dĺžka, resp obvod všetkých objektov vo výkrese
    Zasláno: 02.zář.2013 v 19:38
Zdravím užívateľov fóra,
pracujem na prevádzke LASER a potrebujem zistiť ako by bolo možné zobrazovať dĺžku, resp.obvod všetkých objektov vo výkrese. Jedná sa o súčiastky zložitého tvaru s vonkajším obvodom a viacerými vnútornými. V predchádzajúcich dávnejších príspevkoch som našiel jeden lisp - dolu pod príspevkom je jeho celé znenie - avšak v ňom nie sú zahrnuté úsečky a oblúky - čo je vlastne 90% zloženia výkresovej dokumentácie, ktorá ku mne ide.
Moja otázka znie: Dá sa upraviť doleuvedený lisp, tak aby zahrňoval aj úsečky a oblúky?? Alebo jestvuje nejaký program, nejaká nástavba pre AutoCad, ktorá sa dokupuje??
Prosím poraďte, veľmi by mi to uľahčilo moju prácu.

Spomínaný lisp:
(defun c:pll (/ ss cnt area len)
(vl-load-com)
(setq cnt 0 area 0.0 len 0.0)
(if (ssget 

(list
'(-4 . "<OR")
'(0 . "CIRCLE")
'(-4 . "<AND")
'(0 . "ELLIPSE")
'(41 . 0.0)
(cons 42 (* 2 pi))
'(-4 . "AND>")
'(-4 . "<AND")
'(0 . "LWPOLYLINE")
;;; '(-4 . "&")
;;; '(70 . 1)
'(-4 . "AND>")
'(0 . "MPOLYGON")
'(-4 . "<AND")
'(0 . "POLYLINE")
;;; '(-4 . "&")
;;; '(70 . 1)
'(-4 . "<")
'(70 . 8)
'(-4 . "AND>")
'(0 . "REGION")
'(-4 . "<AND")
'(0 . "SPLINE")
'(-4 . "&")
'(70 . 9)
'(-4 . "AND>")
'(-4 . "OR>")
)

)
(progn
(vlax-for obj (setq ss (vla-get-ActiveSelectionSet
(vla-get-ActiveDocument
(vlax-get-acad-object)
)
)
)
(setq cnt (1+ cnt)
area (+ area (vla-get-area obj))
len (+ len
(if (member (vla-get-ObjectName obj)
'("AcDbMPolygon" "AcDbRegion")
)
(vla-get-Perimeter obj)
(vlax-curve-getDistAtParam
obj
(vlax-curve-getEndParam obj)
)
)
)
)
)

;; (princ "\nZTOTM v2.1 - Cercle, Polyligne, Ellipse, Spline, Region, MPOLYGON")
    (princ "\nZTOTM v2.1 - Circle, Pline, Ellipse, Spline, Region, MPOLYGON")

;; (princ (strcat "\n""TOTAL -Surface: "(rtos area) " -Perimetre: "(rtos len)" -Objets: "(itoa cnt)
    (princ (strcat "\n""TOTAL -Area: "    (rtos area) " -Length: "     (rtos len)" -Objects: "(itoa cnt)
))

(vla-delete ss)

)
(prompt "\n*** Rien de Valable / Nothing available ")
)
(princ)
(princ "\n==> ZTOTM (Version 2.1) ")
(princ) 
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20316
Přímý odkaz na tuto zprávu Zasláno: 10.zář.2013 v 09:38
Zkuste do seznamu (pro member) přidat AcDbLine a AcDbArc. Ale na sčítání délek už existují hotové nástroje - např. náš Addlen (viz Download).
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
FilipTo Zobrazit panel
Nováček
Nováček

Přihlášen: 02.zář.2013
Lokalita: Slovensko
Používám:
AutoCad2007
Stav: Offline
Bodů: 4
Přímý odkaz na tuto zprávu Zasláno: 20.zář.2013 v 21:41
Veľmi pekne ďakujem za odpoveď, velice mi to uľahčilo robotu. Big smile Big smile

Zaujíma ma ešte jedna vec a to či sa dá niekde vypnúť tá otravná hláška : Soubor byl naposledy uložen v dxf2000, chcete uložit ve formáte cad2007? , potom ako zavieram výkresy. Totižto ukladám ich zásadne v dxf2000.
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
Arkance Systems

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 20316
Přímý odkaz na tuto zprávu Zasláno: 20.zář.2013 v 21:56
Toto hlášení asi vypnout nepůjde, ale je namístě - DXF je jen exportní/výměnný formát, není to plnohodnotná náhrada nativního souboru DWG. Asi by to šlo obejít např. pomocí utility PreSave.
Vladimír Michl (moderátor)
Arkance Systems s.r.o. - www.arkance-systems.cz
(podpora viz hd.cads.cz)
Zpět nahoru
vbehun Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 04.říj.2004
Lokalita: ČR (ZL)
Používám:
Autocad R10 >>> Autocad 2020 / alt. QCad Prof.
Stav: Offline
Bodů: 1211
Přímý odkaz na tuto zprávu Zasláno: 21.zář.2013 v 15:00
Brání něco v tom, aby se ukládalo ve formátu Autocad 2007 - když už jej používáte?
=^..^=
Zpět nahoru
FilipTo Zobrazit panel
Nováček
Nováček

Přihlášen: 02.zář.2013
Lokalita: Slovensko
Používám:
AutoCad2007
Stav: Offline
Bodů: 4
Přímý odkaz na tuto zprávu Zasláno: 20.říj.2013 v 18:24
Brání - laser mašina :)
Ale ináč ďakujem za odpovede a pomoc. Veľmi mi to pomohlo.
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 10593:Délka vnějších a vnitřních hran rozvinu plechu.
Tip 7046:Obvodová křivka AEC objektů.
Tip 6869:VIPParametrické zobrazení šířky a délky rozvinu plechu ve výkresu.
Tip 5020:VIPExport místností z Revitu do ADT.
Tip 6771:Zokruhovaná svítidla i v Revitu Architecture.
Tip 1174:Jak nakreslit kružnici s daným obvodem nebo obsahem?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,311 sekund.